package com.huimv.eartag.controller;


import com.huimv.common.utils.Result;
import com.huimv.eartag.service.IEartagDataService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author astupidcoder
 * @since 2022-01-13
 */
@RestController
@RequestMapping("/eartagData")
public class EartagDataController {
    @Autowired
    private IEartagDataService eartagDataService;

    @PostMapping("/getTemp")
    public Result getTemp(@RequestBody Map<String,String> map){
        return eartagDataService.getTemp(map);
    }
}
